> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/manual/manual-entry-seen-users.md).

# ManualEntrySeenUsers

## Introduction

When a [User](/api-reference/users.md) has seen the content of a [ManualEntry](/api-reference/manual/manual-entries.md), intratool will track this as a `ManualEntrySeenUser`.

## Model Definition

### Relations

| Key     | Relation                                               | Type       | Relation Field(s) |
| ------- | ------------------------------------------------------ | ---------- | ----------------- |
| `user`  | [User](/api-reference/users.md)                        | Belongs to | `user_id`         |
| `entry` | [ManualEntry](/api-reference/manual/manual-entries.md) | Belongs to | `entry_id`        |

## List

Get a list of `ManualEntrySeenUsers` by [ManualEntry](/api-reference/manual/manual-entries.md).

**Definition**

<mark style="color:green;">`GET`</mark> `/api/manual/chapters/entries/{entryId}/seen-users`

**Example Request**

{% tabs %}
{% tab title="PHP" %}

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/manual/chapter/entries/1/seen-users', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);
```

{% endtab %}
{% endtabs %}

**Example Response Body**

```json
[
  {
    "id": 1,
    "user_id": 4,
    "entry_id": 1,
    "created_at": "2019-01-25 16:23:45"
  },
  {
    "id": 2,
    "user_id": 5,
    "entry_id": 1,
    "created_at": "2019-01-25 16:31:29"
  }
]
```

## Create

Create a new `ManualEntrySeenUser` by [ManualEntry](/api-reference/manual/manual-entries.md).

**Definition**

<mark style="color:green;">`GET`</mark> `/api/manual/chapters/entries/{entryId}/seen-users`

**Request Keys**

| Key          | Type    | Default | Description                                                         |
| ------------ | ------- | ------- | ------------------------------------------------------------------- |
| `entry_id`\* | integer | -       | The related [ManualEntry](/api-reference/manual/manual-entries.md). |

Keys with `*` are required.\
Keys with `**` are normalized to the information given by the route.

**Example Request**

{% tabs %}
{% tab title="PHP" %}

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('POST', '/api/manual/chapters/entries/1/seen-users', [
    'headers' => ['Authorization' => "Bearer {accessToken}"],
    'json' => [
        'user_id' => 6
    ]
]);
```

{% endtab %}
{% endtabs %}

**Example Response Body**

```json
{
  "status": "success",
  "data": {
    "id": 3,
    "user_id": 6,
    "entry_id": 1,
    "created_at": "2019-01-25 16:35:25"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.api.intratool.de/api-reference/manual/manual-entry-seen-users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
